প্রশ্ন Dpkg -p সঙ্গে সমস্যা


আমি ইনস্টল করা কার্নেল সম্পর্কে তথ্য আছে চেষ্টা করছি dpkg -s কিন্তু ফিরে অদ্ভুত (এবং ফরাসি), কিন্তু কাজ মনে হচ্ছে না:

$ dpkg -p linux-image-3.16.0-28-generic
dpkg-query: le paquet « linux-image-3.16.0-28-generic » n'est pas disponible
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.

এটা প্যাকেজ অনুপস্থিত (উপলব্ধ নেই) বলে যে ... :(

তবে, বিকল্প সঙ্গে কোন সমস্যা নেই -s:

$ dpkg -s linux-image-3.16.0-28-generic
Package: linux-image-3.16.0-28-generic
Status: install ok installed
Priority: optional
Section: kernel
Installed-Size: 44140
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Architecture: amd64
Source: linux
Version: 3.16.0-28.38
Provides: fuse-module, ivtv-modules, kvm-api-4, linux-image, linux-image-3.0, redhat-cluster-modules
Depends: initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3)
Pre-Depends: dpkg (>= 1.10.24)
Recommends: grub-pc | grub-efi-amd64 | grub-efi-ia32 | grub | lilo (>= 19.1)
Suggests: fdutils, linux-doc-3.16.0 | linux-source-3.16.0, linux-tools, linux-headers-3.16.0-28-generic
Conflicts: hotplug (<< 0.0.20040105-1)
Description: Linux kernel image for version 3.16.0 on 64 bit x86 SMP
 This package contains the Linux kernel image for version 3.16.0 on
 64 bit x86 SMP.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

বিকল্প সঙ্গে সমস্যা কি -p ? আমি এই বিকল্প যে সুনির্দিষ্ট -p অন্য প্যাকেজের সাথে কাজ করে (ফায়ারফক্স, বা অন্যান্য) আমি কুবুন্টু 14.10 (x 64)

ধন্যবাদ


2
2017-12-19 16:36


উত্স




উত্তর:


আমি যতটা বলতে পারি, dpkg -p জন্য একটি উপনাম dpkg-query -p যা হিসাবে সংজ্ঞায়িত করা হয়:

প্যাকেজ-নাম সম্পর্কে বিস্তারিত বিবরণ প্রদর্শন করুন, যেমন / var / lib / dpkg / পাওয়া যায়।
   এপিটি ভিত্তিক ফ্রন্টেন্ড ব্যবহারকারীদের   পরিবর্তে apt-cache প্রদর্শন প্যাকেজ-নাম ব্যবহার করা উচিত

এবং dpkg -s জন্য একটি উপনাম dpkg-query -s যা হিসাবে সংজ্ঞায়িত করা হয়:

নির্দিষ্ট প্যাকেজের অবস্থা রিপোর্ট করুন।

সুতরাং, যতদূর আমি বলতে পারি, সম্ভবত আপনি যে নির্দিষ্ট কার্নেল ইনস্টল করেছেন linux-generic metapackage। এই জন্য -s কাজ করে। এটা অনুমান করা হবে, যাইহোক, যে linux-generic উপস্থিত / var / lib / dpkg / উপস্থিত থাকা উচিত নয় linux-image-3.16.0-28-generic, যা হবে কেন -d কাজ বলে মনে হচ্ছে না।


0
2017-12-19 20:40



আমি কারণ খুঁজে পেয়েছেন .. ফাইল available 14.10 এখন আপডেট করা হয় না। নতুন ফাইল বলা হয় status একই repertory মধ্যে। আমি এই দেখেছি কারণ ফাইলের সর্বশেষ পরিবর্তন available 26/10/2014, 14.10 থেকে মাইগ্রেশন তারিখ ... তাই, dpkg -p প্যাকেজ দেখেনি !! - Guillaume
@ গুইলিউম, তাই আপনি এই জন্য একটি সমাধান খুঁজে পেয়েছেন। যদি তাই হয়, আপনি একটি উত্তর লিখতে পারে। - user.dz